Bug 175670 - usb storage device present at boot fails to produce /dev/sd* (sda) device link
usb storage device present at boot fails to produce /dev/sd* (sda) device link
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 15:20 EST by Systems Administrator
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: udev-084-13.fc5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 07:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2005.12.13 /var/log/messages (30.21 KB, application/octet-stream)
2005-12-13 17:40 EST, Systems Administrator
no flags Details

  None (edit)
Description Systems Administrator 2005-12-13 15:20:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/416.12 (KHTML, like Gecko) Safari/416.13

Description of problem:
[root@anon ~]# cat /proc/scsi/scsi 
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: TOSHIBA  Model: MK1032GAX        Rev: AB21
  Type:   Direct-Access                    ANSI SCSI revision: 02

The device is present and known to the scsi subsystem.  No other external storage devices are present.  
There are no /dev/sd* enteries.

If the device is plugged in after boot everything works fine with scsi0 mapping to /dev/sda.  If the 
device is subsequently unplugged and replugged both devices will increment.

scsi0 -> /dev/sda
scsi1 -> /dev/sdb
scsi2 -> /dev/sdc

An odd twist is if in the broken case of device present at boot a unplug/plug event will produce

scsi1 -> /dev/sda
scsi2 -> /dev/sdb



Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1644_FC4

How reproducible:
Always

Steps to Reproduce:
1. plug in usb external hard drive enclosure to powered down machine
2. boot the machine
3. review /proc/scsi/scsi and verify device /dev/sd* not present 
  

Actual Results:  device is not present

Expected Results:  device should be present at /dev/sda (or /dev/sd* something)

Additional info:

I tested this enclosure on FC2 and the behavior is different. /dev/sda is always reliably present (even from 
boot) though the scsi device number will increment on unplug/plug events.

scsi0 -> /dev/sda
scsi1 -> /dev/sda
scsi2 -> /dev/sda
Comment 1 Systems Administrator 2005-12-13 15:55:04 EST
Running from /dev ./MAKEDEV sda seems to function as a workaround [I'll try
restricting the number of devices created later :) ]
Comment 2 Pete Zaitcev 2005-12-13 16:28:24 EST
FC4 is an udev-based system, so device nodes are created when a device is
attached. I suppose something races and udev does not realize that a device
is present when the system is booting.

Please attach the /var/log/messages (but DO NOT DROP IT INTO COMMENTS BOX,
and do not edit it).
Comment 3 Dave Jones 2005-12-13 16:33:29 EST
I think I've seen this before. We're not sending hotplug events to udev if we
boot up with the device already connected iirc.
Comment 4 Systems Administrator 2005-12-13 17:40:23 EST
Created attachment 122202 [details]
2005.12.13 /var/log/messages

/var/log/messages per request
Comment 5 Pete Zaitcev 2005-12-13 17:45:32 EST
The messages looks as if start_udev and the startup SCSI replay may not
be involved. I'm adding Harald to cc:, maybe he has ideas.
Comment 6 Harald Hoyer 2005-12-14 02:15:19 EST
scsi hotplay replay is emulated by looking in /sys/devices for host* and there
for "type". For these devices a hotplug event is emulated.
Comment 7 Peter Robinson 2005-12-19 07:44:05 EST
I'm seeing this too, one on a Dell Notebook (D600, USB2 Intel Chipset) and
another on an old Dell Server (Dual Processor, USB1, Serverworks chipset I
think) with both a USB key and an ipod. Can give me details if req.

Pete
Comment 8 Dave Jones 2006-02-03 01:01:49 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 Systems Administrator 2006-02-03 18:13:50 EST
Due to a conflict with udev (upgrade required by new kernel) and syncing with an external LCD monitor I 
am unable to test this out effectively.
Comment 10 Systems Administrator 2006-02-03 19:58:07 EST
<a href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179951">udev bug</a>
Comment 11 Systems Administrator 2006-02-07 13:03:04 EST
With the udev situation resolved, the new kernel did not produce any change for this bug.
Comment 12 Dave Jones 2006-09-16 22:59:47 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 13 Systems Administrator 2006-09-18 13:08:50 EDT
/dev/sd* entries are present at boot with FC5 so this bug is closed I suppose, but there are issues with 
mount points being assigned in FC5 . . . separate issue though.

Note You need to log in before you can comment on or make changes to this bug.